<?php

if (!defined('SOFTPUBS_IN'))
{
    die('Hacking attempt');
}


function get_check_file($check_file_arr='')
{
	if(!$check_file_arr){
		global $check_file_arr;
	}
	$return_arr		=	array();
	foreach($check_file_arr as $val){
		$return_arr[str_replace(ROOT_PATH,'',$val)]	=	file_mode_info($val)==1111;;
	}	
	return $return_arr;
}

